ViennaCL - The Vienna Computing Library 1.7.0 Free open-source GPU-accelerated linear algebra and solver library. |

Static Public Member Functions
viennacl::linalg::opencl::kernels::vector< NumericT > Class Template Reference

Main kernel class for generating OpenCL kernels for operations on/with viennacl::vector<> without involving matrices, multiple inner products, or element-wise operations other than addition or subtraction. More...

`#include <vector.hpp>`

List of all members.

## Static Public Member Functions

static device_specific::execution_handler & | execution_handler (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT>
class viennacl::linalg::opencl::kernels::vector< NumericT >

Main kernel class for generating OpenCL kernels for operations on/with viennacl::vector<> without involving matrices, multiple inner products, or element-wise operations other than addition or subtraction.

Definition at line 63 of file vector.hpp.

## Member Function Documentation

template<typename NumericT >

static device_specific::execution_handler& viennacl::linalg::opencl::kernels::vector< NumericT >::execution_handler | ( | viennacl::ocl::context & | ctx | ) | `[inline, static]`

Definition at line 113 of file vector.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/opencl/kernels/vector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines